apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  creationTimestamp: '2025-02-25T07:36:14Z'
  generation: 1
  managedFields:
    - apiVersion: argoproj.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:generators': {}
          'f:goTemplate': {}
          'f:goTemplateOptions': {}
          'f:strategy':
            .: {}
            'f:rollingSync':
              .: {}
              'f:steps': {}
            'f:type': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:envLabel': {}
              'f:name': {}
            'f:spec':
              .: {}
              'f:destination':
                .: {}
                'f:namespace': {}
                'f:server': {}
              'f:project': {}
              'f:source':
                .: {}
                'f:path': {}
                'f:repoURL': {}
                'f:targetRevision': {}
      manager: Mozilla
      operation: Update
      time: '2025-02-25T07:36:14Z'
    - apiVersion: argoproj.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:applicationStatus': {}
          'f:conditions': {}
          'f:resources': {}
      manager: argocd-applicationset-controller
      operation: Update
      subresource: status
      time: '2025-02-25T07:36:15Z'
  name: guestbookappset
  namespace: openshift-gitops
  resourceVersion: '11070037'
  uid: 40c68d99-a8cc-417d-9852-39d6d7d52679
spec:
  generators:
    - list:
        elements:
          - cluster: engineering-qa
            env: env-qa
            url: 'https://kubernetes.default.svc'
  goTemplate: true
  goTemplateOptions:
    - missingkey=error
  strategy:
    rollingSync:
      steps:
        - matchExpressions:
            - key: envLabel1
              operator: In
              values:
                - env-qa
          maxUpdate: 10%
    type: RollingSync
  template:
    metadata:
      labels:
        envLabel: '{{.env}}'
      name: guestbook
    spec:
      destination:
        namespace: openshift-gitops
        server: '{{.url}}'
      project: default
      source:
        path: guestbook
        repoURL: 'https://github.com/sarfarazgit/argocd-example-apps.git'
        targetRevision: HEAD
status:
  applicationStatus:
    - application: guestbook
      lastTransitionTime: '2025-02-25T07:36:14Z'
      message: 'No Application status found, defaulting status to Waiting.'
      status: Waiting
      step: '-1'
      targetRevisions: []
  conditions:
    - lastTransitionTime: '2025-02-25T07:36:14Z'
      message: Successfully generated parameters for all Applications
      reason: ApplicationSetUpToDate
      status: 'False'
      type: ErrorOccurred
    - lastTransitionTime: '2025-02-25T07:36:14Z'
      message: Successfully generated parameters for all Applications
      reason: ParametersGenerated
      status: 'True'
      type: ParametersGenerated
    - lastTransitionTime: '2025-02-25T07:36:14Z'
      message: ApplicationSet up to date
      reason: ApplicationSetUpToDate
      status: 'True'
      type: ResourcesUpToDate
    - lastTransitionTime: '2025-02-25T07:36:14Z'
      message: ApplicationSet Rollout Rollout started
      reason: ApplicationSetModified
      status: 'True'
      type: RolloutProgressing
  resources:
    - group: argoproj.io
      health:
        status: Missing
      kind: Application
      name: guestbook
      namespace: openshift-gitops
      status: OutOfSync
      version: v1alpha1
